# Bulk Delete Documents

Source: https://www.digiparser.com/docs/api/bulkDeleteParserDocuments

# Bulk Delete Documents

Server URL`loading...`

POST

/`api`/`v1`/`parsers`/`{parserId}`/`documents`/`delete`

Send

Authorization

Path

Body

Delete documents by document IDs, external IDs, or both. This is the resource-path equivalent of the existing process delete endpoint.

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

## [Request Body](#request-body)

`application/json`

documentIds?array<string\>

Document IDs to delete.

externalIds?array<string\>

External IDs to delete documents by.

## [Response Body](#response-body)

### 200

`application/json`

### 400

`application/json`

### 401

`application/json`

### 404

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X POST "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/documents/delete" \  -H "Content-Type: application/json" \  -d '{    "documentIds": [      "2b9b1243-3d94-42b0-9515-729c7404e3b7"    ],    "externalIds": [      "doc-123"    ]  }'
```

200400401404

```
{
  "success": true,
  "deleted": 1,
  "ids": [
    "2b9b1243-3d94-42b0-9515-729c7404e3b7"
  ]
}
```

```
{
  "error": true,
  "message": "Parser ID mismatch"
}
```

```
{
  "error": true,
  "message": "Parser ID mismatch"
}
```

```
{
  "error": true,
  "message": "Document not found",
  "notFound": [
    {
      "type": "documentId",
      "value": "string"
    }
  ]
}
```

[

Delete Document DELETE

Delete one document from the parser.

](/docs/api/deleteDocument)[

Reprocess Document POST

Re-run extraction for one existing document using the parser's current settings. If document type rules are enabled, the document is checked again and can return to \`skipped\` instead of being extracted.

](/docs/api/reprocessParserDocument)